Loading...
Searching...
No Matches
etl::callback< TParameter, ID > Class Template Referenceabstract

`#include <callback.h>`

## Public Types

typedef parameter< TParameter, ID > | type

## Public Member Functions

virtual void | etl_callback (type p=type())=0

## Detailed Description

template<typename TParameter, const int ID>
class etl::callback< TParameter, ID >

A callback class designed to be multiply inherited by other client classes. The class is parametrised with a callback parameter type and a unique id. The unique id allows multiple callbacks with the same parameter type.

Template Parameters

  TParameter | The callback parameter type.
  ID | The unique id for this callback.

The documentation for this class was generated from the following file:

- include/etl/callback.h